package main

import (
	"enterprise/common/config"
	"enterprise/common/global"
	"enterprise/common/model"
	_ "enterprise/plugin"
	"enterprise/server"
	"enterprise/worker"
)

func main() {
	config.LoadServerConfig()
	config.LoadAliPay()
	config.LoadCorpConfig()
	global.InitGlobal()

	worker.NewApproval(1000).Sync("202504", model.ApprovalTypeVacation)
	worker.NewApproval(1002).Sync("202504", model.ApprovalTypeRefund)
	if err := server.Start(); err != nil {
		panic(err)
	}
}
